/*
 * Copyright 2017 NXP
 */
#ifndef __GPUPERFCNT_VIVANTE_H
#define __GPUPERFCNT_VIVANTE_H

/**
 * \brief Verisilicon specifics
 *
 */

/**
 * vivante_hw_type: the type of hardware
 */
enum vivante_hw_type {
	VIV_HW_INVALID = 0,
	VIV_HW_3D = 1,
	VIV_HW_2D = 2,
	VIV_HW_VG = 3,
	VIV_HW_3D2D = 4,

	VIV_HW_NUM_TYPES,
};

/**
 * vivante_profiler_type_counter: type of counters. This are passed
 * to perf_read_counters_3d() as type.
 */
enum vivante_profiler_type_counter {
	/** \deprecated Obsolete with newer version of the driver.  */
	VIV_PROF_COUNTER_PART0,

	/**
	 * These are the newer types these are working for gc880, gc2000 and
	 * gc3000. This specify PART1
	 */
	VIV_PROF_COUNTER_PART1,

	/** This specify PART2 */
	VIV_PROF_COUNTER_PART2,
};

/** declared externally. Should be used in perf_init().*/
extern struct perf_ops vivante_ops;

#endif
